import request from '@/utils/request'

// 查询study列表
export function listStudy(query) {
  return request({
    url: '/system/study/list',
    method: 'get',
    params: query
  })
}

// 查询study详细
export function getStudy(id) {
  return request({
    url: '/system/study/' + id,
    method: 'get'
  })
}

// 新增study
export function addStudy(data) {
  return request({
    url: '/system/study',
    method: 'post',
    data: data
  })
}

// 修改study
export function updateStudy(data) {
  return request({
    url: '/system/study',
    method: 'put',
    data: data
  })
}

// 删除study
export function delStudy(id) {
  return request({
    url: '/system/study/' + id,
    method: 'delete'
  })
}
// 导出
export function exportStudy(data){
  return request({
        url:'/excel/export/studydata',
        method:'get',
        responseType:'blob',
        data:data
      }

  )
}
